# Maintainer: Cheeto <mprussell836@gmail.com>
pkgname=homebrew-manager
pkgver=0.0.3
pkgrel=1
pkgdesc="application for creating and editing homebrew content for DND"
arch=('x86_64')
url="https://gitlab.com/cheesy-software/dnd-utilities/homebrew-manager"
license=('MIT')
depends=('qt5-base')
makedepends=('git'
             'cmake')
conflicts=("homebrew-manager-git")
source=("$pkgname-$pkgver::git+${url}.git")
md5sums=('SKIP')

prepare() {
  cd "$srcdir/$pkgname-$pkgver"
  git checkout v${pkgver}
  git submodule update --init --recursive
}

build() {
  cd "$pkgname-$pkgver"
  cmake -B build -S src -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_INSTALL_RPATH=YES
  make -C build
}

package() {
  cd "$pkgname-$pkgver"
  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
  make -C build DESTDIR="$pkgdir/" install
}
